# all files / ol/format/filter/ during.js

62.5% Statements 5/8
100% Branches 0/0
0% Functions 0/1
62.5% Lines 5/8

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    341×

    1×
    1×

    1×

    1×
     goog.provide('ol.format.filter.During');

    goog.require('ol');
    goog.require('ol.format.filter.Comparison');

    /**
     * @classdesc
     * Represents a `<During>` comparison operator.
     *
     * @constructor
     * @param {!string} propertyName Name of the context property to compare.
     * @param {!string} begin The begin date in ISO-8601 format.
     * @param {!string} end The end date in ISO-8601 format.
     * @extends {ol.format.filter.Comparison}
     * @api
     */
    ol.format.filter.During = function(propertyName, begin, end) {
      ol.format.filter.Comparison.call(this, 'During', propertyName);

      /**
       * @public
       * @type {!string}
       */
      this.begin = begin;

      /**
       * @public
       * @type {!string}
       */
      this.end = end;
    };
    ol.inherits(ol.format.filter.During, ol.format.filter.Comparison);